## org.eclipse.datatools.modelbase.sql.datatypes
Interface MultisetDataType

All Superinterfaces:
  CollectionDataType, ConstructedDataType, DataType, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Subinterfaces:
  SQLQueryMultisetDataType

All Known Implementing Classes:
  org.eclipse.datatools.modelbase.sql.datatypes.impl.MultisetDataTypeImpl, SQLQueryMultisetDataTypeImpl

    public interface MultisetDataType

extends CollectionDataType

A representation of the model object 'Multiset Data Type'. Reference: 5WD-02-Foundation-2002-12 4.10.2 Multisets

See Also:
  `SQLDataTypesPackage.getMultisetDataType()`

Method Summary

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.CollectionDataType
`getElement, getElementType, setElementType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`